dpkg-gencontrol(1)

NOMBRE
dpkg-gencontrol - Generación de ficheros de control de Debian

SINOPSIS
dpkg-gencontrol [option...]

DESCRIPCIÓN
dpkg-gencontrol lee la información desde un árbol de fuentes de Debian desempaquetado, y genera un fichero de control de paquete binario (por omisión ubicado en «debian/tmp/DEBIAN/control»); durante el proceso, también simplificará los campos de las relaciones.

Por ello, Pre-Depends, Depends, Recommends y Suggests se simplifican en este orden mediante la eliminación de dependencias reales de acuerdo a las dependencias más fuertes ya analizadas. También elimina cualquier dependencia sobre si mismo (de hecho, eliminará cualquier dependencia tomada como verdadera, «true», si la versión actual del paquete ya se encuentra instalada). Retendrá de forma lógica la intersección de varias dependencias sobre el mismo paquete. El orden de las dependencias se modifica lo menos posible: en caso de tener que eliminar una dependencia debida a que otra aparece más adelante en el campo, ésta tomará la posición de la dependencia descartada.

Los otros campos de relación (Enhances, Conflicts, Breaks, Replaces y Provides) se simplifican individualmente computando la unión de todas las dependencias cuando un paquete aparece varias veces en el campo.

dpkg-gencontrol también añade una entrada para el paquete binario en debian/files.

OPCIONES

-vversión
    Define el número de versión del paquete binario a generar.

-Vnombre=valor
    Define una variable de sustitución de la salida. Consulte deb-substvars(5) para más información acerca de la sustitución de la salida.

-Tfichero-variables-sust
    Lee variables de sustitución desde el fichero-variables-sust; debian/substvars es el valor por omisión. Puede usar esta opción varias veces para leer variables de sustitución de varios ficheros.

-Dcampo=valor
    Sobreescribe o añade un campo en el fichero de control de salida.

-Ucampo
    Elimina un campo del fichero de control de salida.

-cfichero-control
    Define el fichero de control principal de las fuentes del que leer la información. Por omisión es debian/control.

-lfichero-cambios
    Define el fichero de registro de cambios del que leer la información. Por omisión es debian/changelog.

-ffichero-lista-ficheros
    Lee o escribe la lista de ficheros a subir desde el fichero especificado, en lugar de usar debian/files.

-Fformato-registro-cambios
    Define el formato del registro de cambios. Por omisión, el formato se lee de una línea especial cerca del final del registro de cambios o, en caso de fallo, usa el formato estándar debian.

-ppaquete
    Genera información para el paquete binario paquete. Puede omitir esta opción si el fichero de control de las fuentes lista un sólo paquete binario; de no ser así, es esencial seleccionar el paquete binario del cual se desea generar la información.

-nnombrefichero
    Supone que el nombre de fichero del paquete será nombre-fichero en vez del habitual, «paquete_versión_arquitectura.deb».

-is, -ip, -isp
    Estas opciones se ignoran por compatibilidad con versiones anteriores de dpkg-dev, pero ya están obsoletas. Antes se usaban para hacer que dpkg-gencontrol incluyese los campos «Section» y «Priority» en el fichero de control. Hoy en día es el comportamiento predefinido. Si desea el comportamiento antiguo deberá usar la opción -U para eliminar los campos del fichero de control.

-Pdirectorio-compilación-paquete
    Dice a dpkg-source que el paquete se está creando en directorio-compilación-paquete en vez de debian/tmp. Se usa para encontrar el valor por omisión de la variable de sustitución y campo del fichero de control Installed-Size, Tamaño-Instalado, (usando du), y para establecer la ruta predefinida del fichero de salida.

-O  Muestra el fichero de control por la salida estándar, en lugar de debian/tmp/DEBIAN/control (o directorio-compilación-paquete/DEBIAN/control si se usó la opción -P).

-h, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

FICHEROS

debian/control
    El fichero de información de control de fuentes principal, que da información independiente de la versión acerca del paquete fuente y los paquetes binarios que puede generar.

debian/files
    La lista de ficheros generados que forman parte de la subida en preparación. dpkg-gencontrol añade los supuestos nombres de fichero de paquetes binarios cuyos ficheros de control genera.

AUTORES
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman
Copyright © 2007-2008 Raphaël Hertzog

Esto es software libre; vea la versión 2 o posterior de la Licencia Pública General GNU para condiciones de copia. NO hay ninguna garantía.

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.